[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemProp.Destroy

Destructor for the class instance.

## Declaration

Source position: valedit.pas line 43

`public destructor TItemProp.Destroy; override;`

## Description

Destroy is the destructor for the class instance. Destroy frees resources allocated for the PickList property, and calls the inherited Destroy method.

## See also

TItemProp.PickList |  | Values that can be selected for the item in TValueListEditor.